//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.12.16 at 11:48:39 AM CET 
//


package org.tdwg.ggbn;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="purificationMethod" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ratioOfAbsorbance260_280" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ratioOfAbsorbance260_230" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="concentration" type="{http://data.ggbn.org/schemas/ggbn/terms}stringUnit" minOccurs="0"/>
 *         &lt;element name="methodDeterminationConcentrationAndRatios" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="volume" type="{http://data.ggbn.org/schemas/ggbn/terms}stringUnit" minOccurs="0"/>
 *         &lt;element name="weight" type="{http://data.ggbn.org/schemas/ggbn/terms}stringUnit" minOccurs="0"/>
 *         &lt;element name="methodDeterminationWeight" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="qualityCheckDate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="quality" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="low"/>
 *               &lt;enumeration value="medium"/>
 *               &lt;enumeration value="high"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="qualityRemarks" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DNADNAHybridization" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DNAMeltingPoint" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="estimated_size" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="pool_dna_extracts" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="gelImage" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="fileURI" type="{http://data.ggbn.org/schemas/ggbn/terms}stringType"/>
 *                   &lt;element name="gelVoltage" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="gelConcentration" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="gelDuration" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="gelLadder" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="gelStain" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="gelRemarks" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Amplifications" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="amplification" type="{http://data.ggbn.org/schemas/ggbn/terms}amplification" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "purificationMethod",
    "ratioOfAbsorbance260280",
    "ratioOfAbsorbance260230",
    "concentration",
    "methodDeterminationConcentrationAndRatios",
    "volume",
    "weight",
    "methodDeterminationWeight",
    "qualityCheckDate",
    "quality",
    "qualityRemarks",
    "dnadnaHybridization",
    "dnaMeltingPoint",
    "estimatedSize",
    "poolDnaExtracts",
    "gelImage",
    "amplifications"
})
@XmlRootElement(name = "GGBN")
public class GGBN {

    protected String purificationMethod;
    @XmlElement(name = "ratioOfAbsorbance260_280")
    protected String ratioOfAbsorbance260280;
    @XmlElement(name = "ratioOfAbsorbance260_230")
    protected String ratioOfAbsorbance260230;
    protected StringUnit concentration;
    protected String methodDeterminationConcentrationAndRatios;
    protected StringUnit volume;
    protected StringUnit weight;
    protected String methodDeterminationWeight;
    protected String qualityCheckDate;
    protected String quality;
    protected String qualityRemarks;
    @XmlElement(name = "DNADNAHybridization")
    protected String dnadnaHybridization;
    @XmlElement(name = "DNAMeltingPoint")
    protected String dnaMeltingPoint;
    @XmlElement(name = "estimated_size")
    protected String estimatedSize;
    @XmlElement(name = "pool_dna_extracts")
    protected String poolDnaExtracts;
    protected GGBN.GelImage gelImage;
    @XmlElement(name = "Amplifications")
    protected GGBN.Amplifications amplifications;

    /**
     * Gets the value of the purificationMethod property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPurificationMethod() {
        return purificationMethod;
    }

    /**
     * Sets the value of the purificationMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPurificationMethod(String value) {
        this.purificationMethod = value;
    }

    /**
     * Gets the value of the ratioOfAbsorbance260280 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRatioOfAbsorbance260280() {
        return ratioOfAbsorbance260280;
    }

    /**
     * Sets the value of the ratioOfAbsorbance260280 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRatioOfAbsorbance260280(String value) {
        this.ratioOfAbsorbance260280 = value;
    }

    /**
     * Gets the value of the ratioOfAbsorbance260230 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRatioOfAbsorbance260230() {
        return ratioOfAbsorbance260230;
    }

    /**
     * Sets the value of the ratioOfAbsorbance260230 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRatioOfAbsorbance260230(String value) {
        this.ratioOfAbsorbance260230 = value;
    }

    /**
     * Gets the value of the concentration property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     *     
     */
    public StringUnit getConcentration() {
        return concentration;
    }

    /**
     * Sets the value of the concentration property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     *     
     */
    public void setConcentration(StringUnit value) {
        this.concentration = value;
    }

    /**
     * Gets the value of the methodDeterminationConcentrationAndRatios property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMethodDeterminationConcentrationAndRatios() {
        return methodDeterminationConcentrationAndRatios;
    }

    /**
     * Sets the value of the methodDeterminationConcentrationAndRatios property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMethodDeterminationConcentrationAndRatios(String value) {
        this.methodDeterminationConcentrationAndRatios = value;
    }

    /**
     * Gets the value of the volume property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     *     
     */
    public StringUnit getVolume() {
        return volume;
    }

    /**
     * Sets the value of the volume property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     *     
     */
    public void setVolume(StringUnit value) {
        this.volume = value;
    }

    /**
     * Gets the value of the weight property.
     * 
     * @return
     *     possible object is
     *     {@link StringUnit }
     *     
     */
    public StringUnit getWeight() {
        return weight;
    }

    /**
     * Sets the value of the weight property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringUnit }
     *     
     */
    public void setWeight(StringUnit value) {
        this.weight = value;
    }

    /**
     * Gets the value of the methodDeterminationWeight property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMethodDeterminationWeight() {
        return methodDeterminationWeight;
    }

    /**
     * Sets the value of the methodDeterminationWeight property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMethodDeterminationWeight(String value) {
        this.methodDeterminationWeight = value;
    }

    /**
     * Gets the value of the qualityCheckDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getQualityCheckDate() {
        return qualityCheckDate;
    }

    /**
     * Sets the value of the qualityCheckDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setQualityCheckDate(String value) {
        this.qualityCheckDate = value;
    }

    /**
     * Gets the value of the quality property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getQuality() {
        return quality;
    }

    /**
     * Sets the value of the quality property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setQuality(String value) {
        this.quality = value;
    }

    /**
     * Gets the value of the qualityRemarks property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getQualityRemarks() {
        return qualityRemarks;
    }

    /**
     * Sets the value of the qualityRemarks property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setQualityRemarks(String value) {
        this.qualityRemarks = value;
    }

    /**
     * Gets the value of the dnadnaHybridization property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDNADNAHybridization() {
        return dnadnaHybridization;
    }

    /**
     * Sets the value of the dnadnaHybridization property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDNADNAHybridization(String value) {
        this.dnadnaHybridization = value;
    }

    /**
     * Gets the value of the dnaMeltingPoint property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDNAMeltingPoint() {
        return dnaMeltingPoint;
    }

    /**
     * Sets the value of the dnaMeltingPoint property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDNAMeltingPoint(String value) {
        this.dnaMeltingPoint = value;
    }

    /**
     * Gets the value of the estimatedSize property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEstimatedSize() {
        return estimatedSize;
    }

    /**
     * Sets the value of the estimatedSize property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEstimatedSize(String value) {
        this.estimatedSize = value;
    }

    /**
     * Gets the value of the poolDnaExtracts property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPoolDnaExtracts() {
        return poolDnaExtracts;
    }

    /**
     * Sets the value of the poolDnaExtracts property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPoolDnaExtracts(String value) {
        this.poolDnaExtracts = value;
    }

    /**
     * Gets the value of the gelImage property.
     * 
     * @return
     *     possible object is
     *     {@link GGBN.GelImage }
     *     
     */
    public GGBN.GelImage getGelImage() {
        return gelImage;
    }

    /**
     * Sets the value of the gelImage property.
     * 
     * @param value
     *     allowed object is
     *     {@link GGBN.GelImage }
     *     
     */
    public void setGelImage(GGBN.GelImage value) {
        this.gelImage = value;
    }

    /**
     * Gets the value of the amplifications property.
     * 
     * @return
     *     possible object is
     *     {@link GGBN.Amplifications }
     *     
     */
    public GGBN.Amplifications getAmplifications() {
        return amplifications;
    }

    /**
     * Sets the value of the amplifications property.
     * 
     * @param value
     *     allowed object is
     *     {@link GGBN.Amplifications }
     *     
     */
    public void setAmplifications(GGBN.Amplifications value) {
        this.amplifications = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="amplification" type="{http://data.ggbn.org/schemas/ggbn/terms}amplification" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "amplification"
    })
    public static class Amplifications {

        @XmlElement(required = true)
        protected List<Amplification> amplification;

        /**
         * Gets the value of the amplification property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the amplification property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAmplification().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Amplification }
         * 
         * 
         */
        public List<Amplification> getAmplification() {
            if (amplification == null) {
                amplification = new ArrayList<Amplification>();
            }
            return this.amplification;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="fileURI" type="{http://data.ggbn.org/schemas/ggbn/terms}stringType"/>
     *         &lt;element name="gelVoltage" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="gelConcentration" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="gelDuration" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="gelLadder" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="gelStain" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="gelRemarks" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "fileURI",
        "gelVoltage",
        "gelConcentration",
        "gelDuration",
        "gelLadder",
        "gelStain",
        "gelRemarks"
    })
    public static class GelImage {

        @XmlElement(required = true)
        protected StringType fileURI;
        protected String gelVoltage;
        protected String gelConcentration;
        protected String gelDuration;
        protected String gelLadder;
        protected String gelStain;
        protected String gelRemarks;

        /**
         * Gets the value of the fileURI property.
         * 
         * @return
         *     possible object is
         *     {@link StringType }
         *     
         */
        public StringType getFileURI() {
            return fileURI;
        }

        /**
         * Sets the value of the fileURI property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringType }
         *     
         */
        public void setFileURI(StringType value) {
            this.fileURI = value;
        }

        /**
         * Gets the value of the gelVoltage property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGelVoltage() {
            return gelVoltage;
        }

        /**
         * Sets the value of the gelVoltage property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGelVoltage(String value) {
            this.gelVoltage = value;
        }

        /**
         * Gets the value of the gelConcentration property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGelConcentration() {
            return gelConcentration;
        }

        /**
         * Sets the value of the gelConcentration property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGelConcentration(String value) {
            this.gelConcentration = value;
        }

        /**
         * Gets the value of the gelDuration property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGelDuration() {
            return gelDuration;
        }

        /**
         * Sets the value of the gelDuration property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGelDuration(String value) {
            this.gelDuration = value;
        }

        /**
         * Gets the value of the gelLadder property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGelLadder() {
            return gelLadder;
        }

        /**
         * Sets the value of the gelLadder property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGelLadder(String value) {
            this.gelLadder = value;
        }

        /**
         * Gets the value of the gelStain property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGelStain() {
            return gelStain;
        }

        /**
         * Sets the value of the gelStain property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGelStain(String value) {
            this.gelStain = value;
        }

        /**
         * Gets the value of the gelRemarks property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getGelRemarks() {
            return gelRemarks;
        }

        /**
         * Sets the value of the gelRemarks property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setGelRemarks(String value) {
            this.gelRemarks = value;
        }

    }

}
